madkit.i18n

## Enum ErrorMessages

- java.lang.Object
- - java.lang.Enum<ErrorMessages>
  - - madkit.i18n.ErrorMessages

- All Implemented Interfaces:
    Serializable, Comparable<ErrorMessages>

      public enum ErrorMessages
      extends Enum<ErrorMessages>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `C_NULL`
    `CANT_CONNECT`
    `CANT_FIND`
    `CANT_LAUNCH`
    `CANT_LOAD`
    `FAILED`
    `G_NULL`
    `MUST_BE_LAUNCHED`
    `OPTION_MISUSED`
    `R_NULL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static ErrorMessages` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ErrorMessages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final ErrorMessages FAILED

    - #### C_NULL

          public static final ErrorMessages C_NULL

    - #### G_NULL

          public static final ErrorMessages G_NULL

    - #### R_NULL

          public static final ErrorMessages R_NULL

    - #### CANT_LAUNCH

          public static final ErrorMessages CANT_LAUNCH

    - #### OPTION_MISUSED

          public static final ErrorMessages OPTION_MISUSED

    - #### CANT_FIND

          public static final ErrorMessages CANT_FIND

    - #### CANT_LOAD

          public static final ErrorMessages CANT_LOAD

    - #### CANT_CONNECT

          public static final ErrorMessages CANT_CONNECT

    - #### MUST_BE_LAUNCHED

          public static final ErrorMessages MUST_BE_LAUNCHED

  - ### Method Detail

    - #### values

          public static ErrorMessages[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorMessages c : ErrorMessages.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorMessages valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ErrorMessages>`

Fabien Michel, Olivier Gutknecht, Jacques Ferber - February 17 2020